<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: CK_KEA_DERIVE_PARAMS Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">CK_KEA_DERIVE_PARAMS Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ae475ca2eb6093e7c981eef0e91743d4d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#abd07a1bba363f8083080b9328e67b491">CK_BBOOL</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__KEA__DERIVE__PARAMS.html#ae475ca2eb6093e7c981eef0e91743d4d">isSender</a></td></tr>
<tr class="separator:ae475ca2eb6093e7c981eef0e91743d4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00a1a192971f1194f2e40e86eba49d32"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__KEA__DERIVE__PARAMS.html#a00a1a192971f1194f2e40e86eba49d32">ulRandomLen</a></td></tr>
<tr class="separator:a00a1a192971f1194f2e40e86eba49d32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac98b8ee83b00153a916a5b64264b3548"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__KEA__DERIVE__PARAMS.html#ac98b8ee83b00153a916a5b64264b3548">pRandomA</a></td></tr>
<tr class="separator:ac98b8ee83b00153a916a5b64264b3548"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a738b89a6cd752e2b0f19073e5003ca59"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__KEA__DERIVE__PARAMS.html#a738b89a6cd752e2b0f19073e5003ca59">pRandomB</a></td></tr>
<tr class="separator:a738b89a6cd752e2b0f19073e5003ca59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9ccaf64b51247d789c8e4d78b64b54c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__KEA__DERIVE__PARAMS.html#ae9ccaf64b51247d789c8e4d78b64b54c">ulPublicDataLen</a></td></tr>
<tr class="separator:ae9ccaf64b51247d789c8e4d78b64b54c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b5ab88b8cf93cfa701f56237f237292"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__KEA__DERIVE__PARAMS.html#a5b5ab88b8cf93cfa701f56237f237292">pPublicData</a></td></tr>
<tr class="separator:a5b5ab88b8cf93cfa701f56237f237292"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01174">1174</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="ae475ca2eb6093e7c981eef0e91743d4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae475ca2eb6093e7c981eef0e91743d4d">&#9670;&nbsp;</a></span>isSender</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#abd07a1bba363f8083080b9328e67b491">CK_BBOOL</a> isSender</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01175">1175</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a5b5ab88b8cf93cfa701f56237f237292"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b5ab88b8cf93cfa701f56237f237292">&#9670;&nbsp;</a></span>pPublicData</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a> pPublicData</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01180">1180</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="ac98b8ee83b00153a916a5b64264b3548"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac98b8ee83b00153a916a5b64264b3548">&#9670;&nbsp;</a></span>pRandomA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a> pRandomA</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01177">1177</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a738b89a6cd752e2b0f19073e5003ca59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a738b89a6cd752e2b0f19073e5003ca59">&#9670;&nbsp;</a></span>pRandomB</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a3d7233a4077fbaf7ae76b64da0a62a21">CK_BYTE_PTR</a> pRandomB</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01178">1178</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="ae9ccaf64b51247d789c8e4d78b64b54c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9ccaf64b51247d789c8e4d78b64b54c">&#9670;&nbsp;</a></span>ulPublicDataLen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulPublicDataLen</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01179">1179</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a00a1a192971f1194f2e40e86eba49d32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00a1a192971f1194f2e40e86eba49d32">&#9670;&nbsp;</a></span>ulRandomLen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulRandomLen</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01176">1176</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
